summaryrefslogtreecommitdiff
path: root/script/check
diff options
context:
space:
mode:
Diffstat (limited to 'script/check')
-rwxr-xr-xscript/check10
1 files changed, 10 insertions, 0 deletions
diff --git a/script/check b/script/check
new file mode 100755
index 0000000..efeb3c7
--- /dev/null
+++ b/script/check
@@ -0,0 +1,10 @@
+#! /bin/sh
+
+set -o errexit
+set -o nounset
+set -o xtrace
+
+cargo check --workspace
+cargo test --workspace
+cargo clippy --all-targets --all-features -- --deny warnings
+cargo audit
Generated by cgit. See skreutz.com for my tech blog and contact information.